Package org.opencv.core

## Class CvType

- java.lang.Object
- - org.opencv.core.CvType

-     public final class CvType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CV_16F` |
    `static int` | `CV_16FC1` |
    `static int` | `CV_16FC2` |
    `static int` | `CV_16FC3` |
    `static int` | `CV_16FC4` |
    `static int` | `CV_16S` |
    `static int` | `CV_16SC1` |
    `static int` | `CV_16SC2` |
    `static int` | `CV_16SC3` |
    `static int` | `CV_16SC4` |
    `static int` | `CV_16U` |
    `static int` | `CV_16UC1` |
    `static int` | `CV_16UC2` |
    `static int` | `CV_16UC3` |
    `static int` | `CV_16UC4` |
    `static int` | `CV_32F` |
    `static int` | `CV_32FC1` |
    `static int` | `CV_32FC2` |
    `static int` | `CV_32FC3` |
    `static int` | `CV_32FC4` |
    `static int` | `CV_32S` |
    `static int` | `CV_32SC1` |
    `static int` | `CV_32SC2` |
    `static int` | `CV_32SC3` |
    `static int` | `CV_32SC4` |
    `static int` | `CV_64F` |
    `static int` | `CV_64FC1` |
    `static int` | `CV_64FC2` |
    `static int` | `CV_64FC3` |
    `static int` | `CV_64FC4` |
    `static int` | `CV_8S` |
    `static int` | `CV_8SC1` |
    `static int` | `CV_8SC2` |
    `static int` | `CV_8SC3` |
    `static int` | `CV_8SC4` |
    `static int` | `CV_8U` |
    `static int` | `CV_8UC1` |
    `static int` | `CV_8UC2` |
    `static int` | `CV_8UC3` |
    `static int` | `CV_8UC4` |
    `static int` | `CV_USRTYPE1` | Deprecated. please use `CV_16F`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CvType()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `channels​(int type)` |
    `static int` | `CV_16FC​(int ch)` |
    `static int` | `CV_16SC​(int ch)` |
    `static int` | `CV_16UC​(int ch)` |
    `static int` | `CV_32FC​(int ch)` |
    `static int` | `CV_32SC​(int ch)` |
    `static int` | `CV_64FC​(int ch)` |
    `static int` | `CV_8SC​(int ch)` |
    `static int` | `CV_8UC​(int ch)` |
    `static int` | `depth​(int type)` |
    `static int` | `ELEM_SIZE​(int type)` |
    `static boolean` | `isInteger​(int type)` |
    `static int` | `makeType​(int depth, int channels)` |
    `static java.lang.String` | `typeToString​(int type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CV_8U

          public static final int CV_8U

      See Also:
        Constant Field Values

    - #### CV_8S

          public static final int CV_8S

      See Also:
        Constant Field Values

    - #### CV_16U

          public static final int CV_16U

      See Also:
        Constant Field Values

    - #### CV_16S

          public static final int CV_16S

      See Also:
        Constant Field Values

    - #### CV_32S

          public static final int CV_32S

      See Also:
        Constant Field Values

    - #### CV_32F

          public static final int CV_32F

      See Also:
        Constant Field Values

    - #### CV_64F

          public static final int CV_64F

      See Also:
        Constant Field Values

    - #### CV_16F

          public static final int CV_16F

      See Also:
        Constant Field Values

    - #### CV_USRTYPE1

          @Deprecated
          public static final int CV_USRTYPE1

      Deprecated.
      please use `CV_16F`
      See Also:
        Constant Field Values

    - #### CV_8UC1

          public static final int CV_8UC1

    - #### CV_8UC2

          public static final int CV_8UC2

    - #### CV_8UC3

          public static final int CV_8UC3

    - #### CV_8UC4

          public static final int CV_8UC4

    - #### CV_8SC1

          public static final int CV_8SC1

    - #### CV_8SC2

          public static final int CV_8SC2

    - #### CV_8SC3

          public static final int CV_8SC3

    - #### CV_8SC4

          public static final int CV_8SC4

    - #### CV_16UC1

          public static final int CV_16UC1

    - #### CV_16UC2

          public static final int CV_16UC2

    - #### CV_16UC3

          public static final int CV_16UC3

    - #### CV_16UC4

          public static final int CV_16UC4

    - #### CV_16SC1

          public static final int CV_16SC1

    - #### CV_16SC2

          public static final int CV_16SC2

    - #### CV_16SC3

          public static final int CV_16SC3

    - #### CV_16SC4

          public static final int CV_16SC4

    - #### CV_32SC1

          public static final int CV_32SC1

    - #### CV_32SC2

          public static final int CV_32SC2

    - #### CV_32SC3

          public static final int CV_32SC3

    - #### CV_32SC4

          public static final int CV_32SC4

    - #### CV_32FC1

          public static final int CV_32FC1

    - #### CV_32FC2

          public static final int CV_32FC2

    - #### CV_32FC3

          public static final int CV_32FC3

    - #### CV_32FC4

          public static final int CV_32FC4

    - #### CV_64FC1

          public static final int CV_64FC1

    - #### CV_64FC2

          public static final int CV_64FC2

    - #### CV_64FC3

          public static final int CV_64FC3

    - #### CV_64FC4

          public static final int CV_64FC4

    - #### CV_16FC1

          public static final int CV_16FC1

    - #### CV_16FC2

          public static final int CV_16FC2

    - #### CV_16FC3

          public static final int CV_16FC3

    - #### CV_16FC4

          public static final int CV_16FC4

  - ### Constructor Detail

    - #### CvType

          public CvType()

  - ### Method Detail

    - #### makeType

          public static final int makeType​(int depth,
                                           int channels)

    - #### CV_8UC

          public static final int CV_8UC​(int ch)

    - #### CV_8SC

          public static final int CV_8SC​(int ch)

    - #### CV_16UC

          public static final int CV_16UC​(int ch)

    - #### CV_16SC

          public static final int CV_16SC​(int ch)

    - #### CV_32SC

          public static final int CV_32SC​(int ch)

    - #### CV_32FC

          public static final int CV_32FC​(int ch)

    - #### CV_64FC

          public static final int CV_64FC​(int ch)

    - #### CV_16FC

          public static final int CV_16FC​(int ch)

    - #### channels

          public static final int channels​(int type)

    - #### depth

          public static final int depth​(int type)

    - #### isInteger

          public static final boolean isInteger​(int type)

    - #### ELEM_SIZE

          public static final int ELEM_SIZE​(int type)

    - #### typeToString

          public static final java.lang.String typeToString​(int type)